GRD2CPT(l)

NAME
grd2cpt - Read a grdfile and make a color palette file

SYNOPSIS
grd2cpt grdfile [ -Ccptmaster ] [ -I ] [ -Lminlimit/maxlimit ] [ -Szstart/zstop/zinc ] [ -V ] [ -Z ]

DESCRIPTION
grd2cpt reads a grdfile and writes a color palette (cpt) file to standard output. The cpt file is based on an existing master cptfile of your choice, and the mapping from data value to colors is through the data's cumulative distribution function (CDF), so that the colors are' histogram equalized. Thus if the resulting cpt file is used with the grdfile and grdimage with a linear projection, the colors will be uniformly distributed in area on the plot. Let z be the data values in the grdfile. Define CDF(Z) = (# of z < Z) / (# of z in grdfile). (NaNs are ignored). These z-values are then normalized to the master cptfile and colors are sampled at the desired intervals.

grdfile
    The 2-D binary grdfile used to derive the color palette table.

OPTIONS

-C  Selects the master color table to use in the interpolation. Choose among the built-in tables (type grd2cpt to see the list) or give the name of an existing cptfile [Default gives a rainbow cpt file].

-I  Reverses the sense of color progression in the master cptfile.

-L  Limit range of cptfile to minlimit/maxlimit, and don't count data' outside range when estimating CDF(Z). [Default uses min and max of data.]

-S  Set steps in cpt file. Calculate entries in cptfile from zstart to zstop in steps of (zinc). [Default chooses arbitrary values by a crazy scheme.]

-V  Verbose operation. This will write CDF(Z) estimates to stderr. [Default is silent.]

-Z  Will create a continuous color palette. [Default is discontinuous, i.e., constant color intervals]

EXAMPLES
Sometimes you don't want to make a cpt file (yet) but would find it helpful' to know that 90% of your data lie between z1 and z2, something you cannot learn from grdinfo. So you can do this to see some points on the CDF(Z) curve (use -V option to see more):

grd2cpt mydata.grd -V > /dev/null

To make a cpt file with entries from 0 to 200 in steps of 20, and ignore data below zero in computing CDF(Z), and use the built-in master cptfile relief, try

grd2cpt mydata.grd -Crelief -L0/10000 -S0/200/20 > mydata.cpt

SEE ALSO
gmtdefaults(1gmt), gmt(1gmt), grdhisteq(1gmt), grdinfo(1gmt), makecpt(1gmt)